# -*- encoding: utf-8 -*-
# stub: google-apps-script-type 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-apps-script-type".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-02-26"
  s.description = "Common protocol buffer types used by Google Apps Script related client libraries".freeze
  s.email = ["googleapis-packages@google.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "README.md".freeze, "lib/google/apps/script/type/addon_widget_set_pb.rb".freeze, "lib/google/apps/script/type/calendar/calendar_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/docs/docs_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/drive/drive_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/extension_point_pb.rb".freeze, "lib/google/apps/script/type/gmail/gmail_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/script_manifest_pb.rb".freeze, "lib/google/apps/script/type/sheets/sheets_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/slides/slides_addon_manifest_pb.rb".freeze, "lib/google/apps/script/type/version.rb".freeze]
  s.homepage = "https://github.com/googleapis/common-protos-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Common protocol buffer types used by Google Apps Script related client libraries".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<googleapis-common-protos-types>.freeze, ["~> 1.4"])
    s.add_runtime_dependency(%q<google-protobuf>.freeze, ["~> 3.14"])
  else
    s.add_dependency(%q<googleapis-common-protos-types>.freeze, ["~> 1.4"])
    s.add_dependency(%q<google-protobuf>.freeze, ["~> 3.14"])
  end
end
